{
  "schema_version": "1.4.0",
  "id": "GHSA-6726-5cj2-9h6f",
  "modified": "2022-05-02T03:33:34Z",
  "published": "2022-05-02T03:33:34Z",
  "aliases": [
    "CVE-2009-2281"
  ],
  "details": "Multiple heap-based buffer underflows in the readPostBody function in cgiutil.c in mapserv in MapServer 4.x through 4.10.4 and 5.x before 5.4.2 allow remote attackers to execute arbitrary code via (1) a crafted Content-Length HTTP header or (2) a large HTTP request, related to an integer overflow that triggers a heap-based buffer overflow.  NOTE: this issue reportedly exists because of an incomplete fix for CVE-2009-0840.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-2281"
    },
    {
      "type": "WEB",
      "url": "http://security.debian.org/pool/updates/main/m/mapserver/mapserver_4.10.0-5.1+etch4.diff.gz"
    },
    {
      "type": "WEB",
      "url": "http://security.debian.org/pool/updates/main/m/mapserver/mapserver_5.0.3-3+lenny4.diff.gz"
    },
    {
      "type": "WEB",
      "url": "http://trac.osgeo.org/mapserver/browser/tags/rel-5-4-2/mapserver/HISTORY.TXT"
    },
    {
      "type": "WEB",
      "url": "http://trac.osgeo.org/mapserver/ticket/2943"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1914"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/07/01/1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2009/07/01/6"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-10-23T18:30:00Z"
  }
}